Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.query.impl
Class ARQParser

    java.lang.Object
      org.mindswap.pellet.query.impl.ARQParser

All Implemented Interfaces:
  QueryParser

    public class ARQParser

extends java.lang.Object
implements QueryParser

Author:
  Evren Sirin

Field Summary
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ARQParser()`

Method Summary
`com.hp.hpl.jena.query.Syntax` | `getSyntax()`
`Query` | `parse(java.io.InputStream in, KnowledgeBase kb)`
`Query` | `parse(com.hp.hpl.jena.query.Query sparql, KnowledgeBase kb)`
`Query` | `parse(java.io.Reader in, KnowledgeBase kb)`
`Query` | `parse(java.lang.String queryStr, KnowledgeBase kb)`
`void` | `setSyntax(com.hp.hpl.jena.query.Syntax syntax)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.commons.logging.Log log

Constructor Detail

### ARQParser

    public ARQParser()

Method Detail

### getSyntax

    public com.hp.hpl.jena.query.Syntax getSyntax()

### setSyntax

    public void setSyntax(com.hp.hpl.jena.query.Syntax syntax)

### parse

    public Query parse(java.io.InputStream in,
                       KnowledgeBase kb)
                throws java.io.IOException

  Specified by:
    `parse` in interface `QueryParser`
  Throws:
    `java.io.IOException`

### parse

    public Query parse(java.io.Reader in,
                       KnowledgeBase kb)
                throws java.io.IOException

  Specified by:
    `parse` in interface `QueryParser`
  Throws:
    `java.io.IOException`

### parse

    public Query parse(java.lang.String queryStr,
                       KnowledgeBase kb)

  Specified by:
    `parse` in interface `QueryParser`

### parse

    public Query parse(com.hp.hpl.jena.query.Query sparql,
                       KnowledgeBase kb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.